@echo off
choice /? >nul
if not errorlevel 255 goto no_choice
cls
echo This program will delete all files from the "Flame Dancers" package from
echo the current directory. The package FLAMEDNC.ZIP will not be deleted.
echo.
if exist briefing.txt goto continue
if exist flame.bat goto continue
if exist flame.txt goto continue
if exist flamers.mix goto continue
if exist flame_dn.pat goto continue
if exist flame_up.pat goto continue
if exist flame_95.dat goto continue
if exist story.txt goto continue
echo No files found to delete.
echo This batch file should be included in the "Flame Dancers" package.
goto end

:continue
choice /Cyn /n Are you sure you want to delete all files from the FLAMEDNC.ZIP package? [Y,N]
if errorlevel == 3 goto abort
if errorlevel == 2 goto abort
if not exist sc-fdanc.mix goto delete
echo.
echo.
echo SC-FDANC.MIX was found in this directory. This might mean the Flame Dancers
echo campaign isn't uninstalled. By deleting all files, you can't uninstall it
echo anymore. This program can't uninstall the package; it only deletes files.
echo.
choice /Cyn /n Do you want to continue? [Y,N]
if errorlevel == 3 goto abort
if errorlevel == 2 goto abort

:delete
echo.
echo.
echo Deleting data files...
if exist briefing.txt del briefing.txt >nul
if exist flame.bat del flame.bat >nul
if exist flame.txt del flame.txt >nul
if exist flamers.mix del flamers.mix >nul
if exist flame_dn.pat del flame_dn.pat >nul
if exist flame_up.pat del flame_up.pat >nul
if exist flame_95.dat del flame_95.dat >nul
if exist story.txt del story.txt >nul
echo Done
echo.
echo The programs MMLITE, CCNAMES and CCLITE are tools included in the package.
choice /Cyn /n Do you want to delete them too? [Y,N]
if errorlevel == 3 goto ok
if errorlevel == 2 goto ok
echo.
echo Deleting MMLITE files...
if exist mmlite.exe del mmlite.exe >nul
if exist mmlite.txt del mmlite.txt >nul
echo Done
echo.
echo Deleting CCNAMES files...
if exist ccnames.exe del ccnames.exe >nul
if exist ccnames.txt del ccnames.txt >nul
echo Done
echo.
echo Deleting CCLITE files...
if exist cclite.exe del cclite.exe >nul
if exist cclite.txt del cclite.txt >nul
echo Done
:ok
echo.
echo File uninstall complete!
choice /Cyn /n Delete this batch file? [Y,N]
if errorlevel == 3 goto end
if errorlevel == 2 goto end
del erase_fd.bat >nul
goto end

:no_choice
echo CHOICE.COM not found! This program requires CHOICE.COM to run. Make sure it is
echo located in this directory or in one of the directories in the PATH variable.
echo.
goto end

:abort
echo File uninstall aborted!

:end
